Bug 979947 - Wrong version of s-ramp-wagon library in s-ramp-demos-mvn-integration-artifacts
Wrong version of s-ramp-wagon library in s-ramp-demos-mvn-integration-artifacts
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance, Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
urgent Severity urgent
: DR7
: 6.0.0
Assigned To: Kurt T Stam
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 04:10 EDT by Martin Vecera
Modified: 2014-02-06 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vecera 2013-07-01 04:10:12 EDT
In quickstarts/overlord/s-ramp/s-ramp-demos-mvn-integration/s-ramp-demos-mvn-integration-*/pom.xml (two modules are there) this:

      <extension>
        <groupId>org.overlord.sramp</groupId>
        <artifactId>s-ramp-wagon</artifactId>
        <version>${project.version}</version>
      </extension>

needs to be changed to:

      <extension>
        <groupId>org.overlord.sramp</groupId>
        <artifactId>s-ramp-wagon</artifactId>
        <version>0.2.1</version>
      </extension>

This is the version in the repository. Project version is 1.0.0. Other solution is to update the repository.
Comment 1 Gary Brown 2013-07-01 04:26:19 EDT
The quickstarts/overlord/s-ramp/s-ramp-demos-mvn-integration/pom.xml also references parent version as 0.1.0-SNAPSHOT.
Comment 2 Nick Cross 2013-07-01 08:35:01 EDT
If the parent references were fixed then using project.version should be fine
Comment 3 Kurt Stam 2013-07-01 13:21:52 EDT
That is an oversight. I just fixed it on the trunk - this will go into
the S-RAMP-0.3.0 release.
Comment 4 Nick Cross 2013-07-02 10:15:05 EDT
Patched into alpha2 build.
Comment 5 Martin Vecera 2013-08-29 08:54:54 EDT
Verified in ER1

Note You need to log in before you can comment on or make changes to this bug.